svn commit: r243141 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Fri Nov 16 07:30:38 UTC 2012


Author: pho
Date: Fri Nov 16 07:30:38 2012
New Revision: 243141
URL: http://svnweb.freebsd.org/changeset/base/243141

Log:
  Added two GEOM test scenarios.

Added:
  user/pho/stress2/misc/gbde.sh   (contents, props changed)
  user/pho/stress2/misc/graid3.sh   (contents, props changed)

Added: user/pho/stress2/misc/gbde.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/gbde.sh	Fri Nov 16 07:30:38 2012	(r243141)
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2012 Peter Holm <pho at FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# "panic: bio_driver1 used by the consumer (geom ffs.md5.bde)" seen
+# http://people.freebsd.org/~pho/stress/log/gbde.txt
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+mdconfig -l | grep -q $mdstart &&  mdconfig -d -u $mdstart
+mdconfig -a -t swap -s 1g -u $mdstart
+
+gbde init /dev/md$mdstart -P pass-phrase || exit
+gbde attach md$mdstart -p pass-phrase || exit
+
+newfs -U /dev/md$mdstart.bde > /dev/null
+mount /dev/md$mdstart.bde $mntpoint
+chmod 777 $mntpoint
+
+export runRUNTIME=20m
+export RUNDIR=$mntpoint/stressX
+
+su $testuser -c 'cd ..; ./run.sh marcus.cfg'
+
+while mount | grep $mntpoint | grep -q bde; do
+	umount $mntpoint || sleep 1
+done
+gbde detach md$mdstart
+mdconfig -d -u $mdstart

Added: user/pho/stress2/misc/graid3.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/graid3.sh	Fri Nov 16 07:30:38 2012	(r243141)
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2012 Peter Holm <pho at FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Probably unrelated mkfifo() problem seen:
+# http://people.freebsd.org/~pho/stress/log/graid3.txt
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+md1=$mdstart
+md2=$((mdstart + 1))
+md3=$((mdstart + 2))
+
+for u in $md1 $md2 $md3; do
+	mdconfig -l | grep -q md$u && mdconfig -d -u $u
+	mdconfig -a -t swap -s 1g -u $u
+done
+
+graid3 load || exit
+graid3 label -v -r data md$md1 md$md2 md$md3 > /dev/null || exit
+newfs -U /dev/raid3/data  > /dev/null
+mount /dev/raid3/data $mntpoint
+chmod 777 $mntpoint
+
+export runRUNTIME=20m
+export RUNDIR=$mntpoint/stressX
+
+su $testuser -c 'cd ..; ./run.sh marcus.cfg'
+
+while mount | grep $mntpoint | grep -q raid3; do
+	umount $mntpoint || sleep 1
+done
+
+graid3 stop data
+graid3 unload
+
+for u in $md3 $md2 $md1; do
+	mdconfig -d -u $u
+done


More information about the svn-src-user mailing list